
<div class="container-fluid w-100 d-flex p-0">
    <div class="left-panel">
        <div class="left-panel_wrapper">
            <div class="py-2 text-center">
                <img class="img-fluid"  src="assets/images/brand/dealday-logo.svg">
                <!-- <img class="img-fluid" width="113" height="43"  src="assets/images/brand/dealday-valentine-logo.png"> -->
            </div>
            <div class="">
                <div>
                    <div *ngIf="_vStage.level == 1">
                        <div class="form-group">
                            <label for="authfirstname">Name</label>
                            <input type="text" class="form-control" id="uthauthfirstname" maxlength="200" oninput="this.value=this.value.replace(/[^a-zA-Z ]*$/g,'');"
                                [(ngModel)]="_VInfo.Name" required>
                        </div>
                        <div class="form-group">
                            <label for="emailAddress">Email Address</label>
                            <input type="email" class="form-control text-lowercase" id="emailAddress" #emailAddress="ngModel" maxlength="60"
                                [ngClass]="{'is-invalid': emailAddress.touched && !validateEmail(_VInfo.EmailAddress)}"
                                [(ngModel)]="_VInfo.EmailAddress" required>
                            <div id="validationEmailAddress" class="invalid-feedback">
                                Please ensure you input a valid email address.
                            </div>
                        </div>
                        <div>
                            <label>Phone Number</label>
                            <div class="d-flex form-control align-items-center">
                                <span class="mr-3">
                                    <div class="dropdown">
                                        <div class="d-flex">
                                            <button class="btn dropdown-toggle p-0 mr-3" type="button" id="ddcountry"
                                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                <img [src]="_SelectedCountryDetails.IconUrl" class="country-flag">
                                            </button>
                                            <span class="align-self-center">{{_SelectedCountryDetails.CountryCode}}</span> 
                                        </div>
                                       
                                        <div class="dropdown-menu" aria-labelledby="ddcountry">
                                            <a class="dropdown-item py-3" (click)="CountrySelect(1)">
                                                <img src="assets/images/flag/ng.png"> Nigeria (+234)
                                            </a>
                                            <a class="dropdown-item py-3" (click)="CountrySelect(2)">
                                                <img src="assets/images/flag/gh.png"> Ghana (+233)
                                            </a>
                                        </div>
                                    </div>
                                </span>
                                <span class="w-100">
                                    <input class="custom-form"  type="text" id="tauthmobile" maxlength="13" minlength="9"
                                    oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    [(ngModel)]="_VInfo.MobileNumber">
                                </span>
                            </div>
                            <small class="text-pry">This number will be verified</small>
                        </div>

                        <div class="form-group">
                            <label>PIN</label>
                            <div class="input-group">
                                <input type="password" class="custom-form2" id="password" placeholder="Enter your 4 digit PIN" maxlength="4"
                                        oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                        [(ngModel)]="_VInfo.AccountPin">
                                <span class="input-group-text d-flex justify-content-end" id="basic-addon2" (click)="togglePin('password')"> <i class="fa fa-eye fa-eye-slash" id="eye-icon"></i> </span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Referral Code (Optional)</label>
                            <input type="text" class="form-control" id="ReferredBy"
                                    oninput="this.value=this.value.replace(/[^a-zA-Z0-9]/g,'');"
                                    [(ngModel)]="_VInfo.ReferredBy" minlength="6">
                        </div>

                        <div class="form-group text-center py-4">
                            <small>Already have an account? <a class="text-pry" [routerLink]="['/auth/login']">Login</a></small>
                        </div>

                        <div class="form-group">
                            <button type="button" *ngIf="!_HelperService.IsProcessing" class="btn btn-primary btn-block"
                                (click)="SignUp()" [disabled]="">Sign Up
                            </button>
                            <button type="button" *ngIf="_HelperService.IsProcessing" class="btn btn-primary btn-block"
                                disabled>
                                Please wait
                            </button>
                        </div>
                    </div>
                    <div class="tuc-login-rightitem" *ngIf="_vStage.level == 2">
                        <div class="pb-5 ">
                            <div class="mb-3 text-center">
                                <h5>Verify your phone number</h5>
                                <div class="px-2 py-2">We have sent <strong>{{_VInfo.MobileNumber}}</strong> a verification code.</div>
                            </div>
                            <div class="mb-5 text-center">
                                <div class="mb-2">
                                    <ng-otp-input (onInputChange)="onOtpChange($event)"
                                        [config]="{length:4 ,isPasswordInput:true,allowNumbersOnly : true , inputClass : 'form-control-otp'}">
                                    </ng-otp-input>
                                </div>
                                <div class="text-center">
                                    <small>Didn’t receive code?</small> <button (click)="resendOtp()" class="resend-btn" [disabled]="countDown > 0"> Resend in {{countDown}} secs</button>
                                </div>
                            </div>
                            
                            <div class="mb-2">
                                <button type="button" *ngIf="!_HelperService.IsProcessing" class="btn btn-primary btn-block"
                                    (click)="ValidateOtp()">Verify
                                    OTP
                                </button>
                                <button type="button" *ngIf="_HelperService.IsProcessing" class="btn btn-primary btn-block"
                                    disabled>
                                    Please wait
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="right-panel">
        <div class="right-panel_wrapper">
            <div class="py-4 px-3">
                
            </div>
            <div id="carouselExampleSlidesOnly" class="carousel slide" data-ride="carousel">
                <div class="carousel-inner">
                  <div class="carousel-item active">
                        <span class="text-white">Don’t just spend</span>
                        <h3 class="text-white">Get the best Deals!</h3>
                      <img src="assets/images/brand/glass-woman-1.png" alt="glass woman with cards">
                  </div>
                  <div class="carousel-item">
                     <span class="text-white">Don’t just spend</span>
                     <h3 class="text-white">Get the best Deals!</h3>
                    <img src="assets/images/brand/glass-woman-2.png" alt="glass woman with bag">
                  </div>
                  <div class="carousel-item">
                     <span class="text-white">Don’t just spend</span>
                     <h3 class="text-white">Boundless Possibilities</h3>
                    <img src="assets/images/brand/glass-couple.png" alt="glass couple with bags">
                  </div>
                </div>
            </div>
        </div>
    </div>
</div>